"""This module contains some fake urls for test usage"""

from django.conf.urls import url
from django.views.generic import View

from mtp.apps.api.tests.test_permissions import  IsAuthenticatedOrValidOAuthTokenPermissionTestCase

from .test_views_utils import CacheMixinTestCase, CsrfExemptMixinTestCase


urlpatterns = [
    url(
        r'^url-with-csrf-protection/$',
        CsrfExemptMixinTestCase.SimpleView.as_view()
    ),
    url(
        r'^url-without-csrf-protection/$',
        CsrfExemptMixinTestCase.ViewWithCsrfDecorator.as_view()
    ),
    url(
        r'^url-with-cache/$',
        CacheMixinTestCase.ViewWithCacheMixin.as_view()
    ),
    url(
        r'^url-with-auth-or-token-permission/$',
        IsAuthenticatedOrValidOAuthTokenPermissionTestCase.SimpleView.as_view()
    ),
    url(
        r'^dummy-login/$',
        View.as_view(),
        name='login'
    )
]
